CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

Functions
Session Pool
CppCMS C Session API

## Functions
CPPCMS_API cppcms_capi_session_pool * | cppcms_capi_session_pool_new ()
| Create new empty pool object, returns NULL in case of fatal error.
CPPCMS_API void | cppcms_capi_session_pool_delete (cppcms_capi_session_pool *pool)
| Destroys pool object.
CPPCMS_API int | cppcms_capi_session_pool_init (cppcms_capi_session_pool *pool, char const *config_file)
| Initialize the pool from CppCMS configuration file,config_file.
CPPCMS_API int | cppcms_capi_session_pool_init_from_json (cppcms_capi_session_pool *pool, char const *json)
| Initialize the pool from CppCMS configuration in json fromat json.

## Detailed Description

Class that represents cppcms::session_pool in C